Flutter开发环境配置记录

首先向大家推荐Flutter中文网-开发环境配置

网站上面介绍的流程基本清晰,一步步下来不会有太大问题(毕竟每个人的电脑系统,网络环境,IDE版本等好多情况不尽相同,这里不能保证面面俱到)

这里简单记录下我搭建的流程

首先下载Flutter

这里无论是在官网还是github均可

将Flutter相关工具加入环境变量
1
2
3
export PUB_HOSTED_URL=https://dart-pub.mirrors.sjtug.sjtu.edu.cn/
export FLUTTER_STORAGE_BASE_URL=https://mirrors.sjtug.sjtu.edu.cn/
export PATH="/Users/dabutaizha/Documents/flutter/bin:$PATH"

由于一些flutter命令需要联网获取数据,所以PUB_HOSTED_URL与FLUTTER_STORAGE_BASE_URL是国内访问需要配置的镜像详情查看

运行flutter doctor命令

这里会自动帮你检查现有开发环境是否存在缺失,并给出解决建议,按照给出的解决方式进一步操作,安装或配置模块
(我这里的问题是没有初始化CocoaPods以及没有安装libimobiledevice和ideviceinstaller)

按提示操作即可最终再输入flutter doctor会显示如下内容

1
2
3
4
5
6
7
8
9
Doctor summary (to see all details, run flutter doctor -v):
[✓] Flutter (Channel stable, v1.0.0, on Mac OS X 10.14 18A391, locale
zh-Hans-CN)
[✓] Android toolchain - develop for Android devices (Android SDK 28.0.3)
[✓] iOS toolchain - develop for iOS devices (Xcode 10.1)
[✓] Android Studio (version 3.3)
[✓] Connected device (1 available)
• No issues found!

大功告成,可以开始探索flutter了

参考内容

Powered by Hexo and Hexo-theme-hiker

Copyright © 2013 - 2019 All Rights Reserved.

访客数 : | 访问量 :